net.corda.core.testing

## Class TimestampGenerator

- net.corda.core.testing.TimestampGenerator

-     public class TimestampGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimestampGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Timestamp` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`

- - ### Constructor Detail

    - #### TimestampGenerator

          public TimestampGenerator()

  - ### Method Detail

    - #### generate

          public Timestamp generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                    com.pholser.junit.quickcheck.generator.GenerationStatus status)